dsdpxmat_impl.h File Reference

Structure of function pointers that each dense matrix array type (upper full, packed symmetric, ...) must implement. More...

Go to the source code of this file.

## Data Structures

struct | DSDPVMat_Ops
| Table of function pointers that operate on the dense matrix. More...

## Functions

int | DSDPVMatOpsInitialize (struct DSDPVMat_Ops *)
| Set function pointers to null.

## Detailed Description

Structure of function pointers that each dense matrix array type (upper full, packed symmetric, ...) must implement.

Definition in file dsdpxmat_impl.h.

## Function Documentation

## DSDPVMatOpsInitialize()

int DSDPVMatOpsInitialize | ( | struct DSDPVMat_Ops * | aops | ) |

extern

Set function pointers to null.

Parameters

  aops | pointer to a structure of function pointers.

Definition at line 377 of file dsdpxmat.c.

Referenced by DSDPVMatInitialize().